> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/wallet-server-transit-api-for-huawei/api-reference/outgoing-operations-from-tsh/card-notification-api.md).

# Card Notification API

[WS-Transit-API-OUT-transit-notif-oas2.yaml](https://openapi.gitbook.com/o/fwy1mtbRONGA2YDKDBr0/spec/WS-Transit-API-OUT-transit-notif-oas2.yaml)

## Request to push a notification to enduser device

> This method is used by TSH to request Wallet Server to send a push notification on the enduser device for a specific virtual card.\</br>         Wallet server shall take care of the notification deivery to the device.

```json
{"openapi":"3.1.1","info":{"title":"Thales TSH Transit Notification API - TSH to WS","version":"1.0.8"},"paths":{"/pushNotification":{"post":{"summary":"Request to push a notification to enduser device","description":"This method is used by TSH to request Wallet Server to send a push notification on the enduser device for a specific virtual card.</br>         Wallet server shall take care of the notification deivery to the device.","operationId":"pushNotification","parameters":[{"$ref":"#/components/parameters/podHeader"}],"responses":{"200":{"description":"pushNotification response payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pushNotificationRes"}}}},"500":{"description":"Internal Server Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/pushNotificationReq"}}},"description":"pushNotification request payload","required":true}}}},"components":{"parameters":{"podHeader":{"schema":{"type":"string","maxLength":128},"name":"x-pod","in":"header","description":"HTTP header identifying the pod and corresponding DNS hostname of the load balancer from which traffic is coming.</br> Subsequent API calls should be sent to this pod.","required":true}},"schemas":{"pushNotificationRes":{"type":"object","properties":{"responseHeader":{"$ref":"#/components/schemas/responseHeader"}},"required":["responseHeader"]},"responseHeader":{"type":"object","properties":{"responseId":{"$ref":"#/components/schemas/responseId"},"sessionId":{"$ref":"#/components/schemas/sessionId"},"generationDateTime":{"$ref":"#/components/schemas/generationDateTime"},"statusCode":{"type":"number","description":"Status code to the request\n|Status code | Description|\n|-------|-------|\n|0|OK|      \n|111|Missing mandatory parameter|\n|112|Bad parameter format|              \n|119|Unknown virtual card|                                                  \n|911|Operation failed|          \n|921|Unexpected server error|\n"},"statusMessage":{"type":"string","description":"Textual status message"}},"required":["responseId","sessionId","statusCode"]},"responseId":{"type":"string","description":"Unique response identifier","minLength":1,"maxLength":48},"sessionId":{"type":"string","description":"Unique session identifier used to trace the calls across systems during a use case.","minLength":1,"maxLength":48},"generationDateTime":{"type":"string","description":"Date time representing when the request or response has been generated.<br/>RFC3339 format. <br/>Example:\n - 2018-12-24T17:32:28Z","format":"date-time"},"pushNotificationReq":{"type":"object","properties":{"requestHeader":{"$ref":"#/components/schemas/requestHeader"},"walletCardId":{"$ref":"#/components/schemas/walletCardId"},"seId":{"$ref":"#/components/schemas/seId"}},"required":["requestHeader","walletCardId","seId"]},"requestHeader":{"type":"object","properties":{"requestId":{"$ref":"#/components/schemas/requestId"},"sessionId":{"$ref":"#/components/schemas/sessionId"},"generationDateTime":{"$ref":"#/components/schemas/generationDateTime"}},"required":["requestId","sessionId"]},"requestId":{"type":"string","description":"Unique request identifier","minLength":1,"maxLength":48},"walletCardId":{"type":"string","description":"The Wallet Card Identifier. Unique for each wallet card.","minLength":1,"maxLength":64},"seId":{"type":"string","description":"Secure Element Identifier","pattern":"([0-9a-fA-F][0-9a-fA-F]){1,24}"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/wallet-server-transit-api-for-huawei/api-reference/outgoing-operations-from-tsh/card-notification-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
